<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use App\Models\SurveyQuestion;
use Filament\Forms\Components\Select;

class SurveyQuestionSelect extends Select
{
    public static function create(): static
    {
        return parent::make('survey_question_id')
            ->label('سوال نظرسنجی')
            ->label('سوال نظرسنجی')
            ->options(function () {
                return SurveyQuestion::all()->pluck('title', 'id');
            })
            ->required()
            ->columnSpan(3);
    }
}
